Bug 154770 - GUI broken for adding access to specified Samba users
GUI broken for adding access to specified Samba users
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 22:14 EDT by Chris Negus
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 03:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Negus 2005-04-13 22:14:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
When opening the Access tab on the Edit Samba Share screen, there is no way to add user names. I select "Only allow access to specific users" but there is no place to type user names. If I type in a user name anyway, a box appears briefly, then disappears and the user name is not added to the screen.

Version-Release number of selected component (if applicable):
system-config-samba-1.2.29-1

How reproducible:
Always

Steps to Reproduce:
1. Select Desktop -> System Settings -> Server Settings -> Samba
2. Type root password when prompted.
3. Add a Share (click Add Share and so on)
4. Select the new share and select Properties.
5. Click the Access tab.
6. Click "Only allow access to specific users"
7. Click in the box to add the user...nothing happens.
8. Start typing anyway...a form box appears briefly as I type.
9. Press Enter...the form box disappears, the name I type in doesn't appear.
  

Actual Results:  No user was added to the access list (at least none is visible).
I click OK to get out, but it tells me to "Please allow access to at least one user"

Expected Results:  The user name should appear in the box and be give access to the share.

Additional info:
Comment 1 Nils Philippsen 2005-04-14 03:46:21 EDT
ATM, you can add Samba users through Preferences/Samba Users and allow access to
a share for specific users in the shatre dialog. I agree that it would be
preferrable to have this in one place. Marking as enhancement, closing as
deferred because this won't make it in FC4. Please reopen after FC4 is out so I
can maybe make it in time for FC5.

Note You need to log in before you can comment on or make changes to this bug.